# Class Container

java.lang.Object
org.jmol.awtjs.swing.Component
org.jmol.awtjs.swing.Container

Direct Known Subclasses:
  `JComponent, JDialog`

public abstract class Container extends Component

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Lst<Component>`
`list`

### Fields inherited from class Component

`enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Container(String type)`

## Method Summary

Modifier and Type
Method
Description
`Component`
`add(Component component)`
`protected Component`
`addComponent(Component component)`
`Component`
`getComponent(int i)`
`int`
`getComponentCount()`
`Component[]`
`getComponents()`
`int`
`getSubcomponentHeight()`
`int`
`getSubcomponentWidth()`
`protected Component`
`insertComponent(Component component, int index)`
`void`
`remove(int i)`
`void`
`removeAll()`

### Methods inherited from class Component

`addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible, toHTML`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### list

protected Lst<Component> list

## Constructor Details

### Container

protected Container(String type)

## Method Details

### getComponent

public Component getComponent(int i)

### getComponentCount

public int getComponentCount()

### getComponents

public Component[] getComponents()

### add

public Component add(Component component)

### addComponent

protected Component addComponent(Component component)

### insertComponent

protected Component insertComponent(Component component, int index)

### remove

public void remove(int i)

### removeAll

public void removeAll()

### getSubcomponentWidth

public int getSubcomponentWidth()

Overrides:
  `getSubcomponentWidth` in class `Component`

### getSubcomponentHeight

public int getSubcomponentHeight()

Overrides:
  `getSubcomponentHeight` in class `Component`